This repository contains my personal dotfiles. All dotfiles are managed by [dotdrop](https://github.com/deadc0de6/dotdrop).

## Installation
In order to install all dotfiles, run:
```bash
git clone https://git.dennispotter.eu/Dennis/dotfiles
cd dotfiles
git submodule init
git submodule update
sudo pip3 install -r dotdrop/requirements.txt
./dotdrop/bootstrap.sh
./dotdrop.sh --cfg=config.yaml install
```

## Prerequisites
Below, a list of applications that are managed and of their prerequisites to make full use of all configuration.
```
- ZSH
    oh-my-zsh (automatically fetched by dotdrop)
    ripgrep
- tmux
    acpi
- neovim
    plug (automatically fetched by dotdrop)
    fonts-powerline
    exuberant-ctags
    cmake
    clang
    rust
    jupyter
```
